summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-15.3.2.ebuild34
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin261862 -> 261877 bytes
-rw-r--r--dev-python/boto3/Manifest4
-rw-r--r--dev-python/boto3/boto3-1.25.5.ebuild2
-rw-r--r--dev-python/boto3/boto3-1.26.9.ebuild68
-rw-r--r--dev-python/botocore/Manifest4
-rw-r--r--dev-python/botocore/botocore-1.28.5.ebuild2
-rw-r--r--dev-python/botocore/botocore-1.29.9.ebuild72
-rw-r--r--dev-python/cfn-lint/Manifest2
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.71.1.ebuild54
-rw-r--r--dev-python/exceptiongroup/Manifest2
-rw-r--r--dev-python/exceptiongroup/exceptiongroup-1.0.3.ebuild34
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.57.1.ebuild77
-rw-r--r--dev-python/ini2toml/Manifest2
-rw-r--r--dev-python/ini2toml/ini2toml-0.11.1.ebuild51
-rw-r--r--dev-python/mypy/Manifest2
-rw-r--r--dev-python/mypy/mypy-0.991.ebuild63
-rw-r--r--dev-python/nuitka/Manifest2
-rw-r--r--dev-python/nuitka/nuitka-1.2.ebuild55
-rw-r--r--dev-python/sentry-sdk/Manifest2
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.11.0.ebuild101
-rw-r--r--dev-python/simplejson/Manifest2
-rw-r--r--dev-python/simplejson/simplejson-3.18.0.ebuild24
-rw-r--r--dev-python/tox/Manifest2
-rw-r--r--dev-python/tox/tox-3.27.1.ebuild71
27 files changed, 732 insertions, 4 deletions
diff --git a/dev-python/Faker/Faker-15.3.2.ebuild b/dev-python/Faker/Faker-15.3.2.ebuild
new file mode 100644
index 000000000000..7547e146fdbe
--- /dev/null
+++ b/dev-python/Faker/Faker-15.3.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index d59ea81667a8..7b11289e9716 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,3 +1,5 @@
DIST Faker-15.3.1.tar.gz 1598695 BLAKE2B 8c9d8ec18cf8505eb3ca00feb0e7cea78db2f6f5b8dd4b0a65cc600b0cf57a96c174a6f0f2f99f67dab873ad6afc63f858b5f0efe672583d055eb69d59a86104 SHA512 8dce318ee0e8959b7f7da4b5fda792476a7b4f8bc22a2acead29131e0f6c97fb0b84522cc2865264276f65606e8559ae3213f4671e4c701301845986920ecf9d
+DIST Faker-15.3.2.tar.gz 1598951 BLAKE2B 6f1c53933639a478aa6db933b26e326561b654cbb3d7182c7d8b1add50aaa4089ebf001553e95657baa2f434516148e40417c0265043d2a50f8e86c73556f82f SHA512 96489fd02cc16ff0a31a0f165805aa4508e2f3e04552f2008b92f211c8645e37ee23a8181838f851114906e2df0da19a95c38889e6afab5d1c7cf090a9235e17
EBUILD Faker-15.3.1.ebuild 705 BLAKE2B 37b842966529f921966d6c41274fe7fda29057fbb967293a2c6e5c77a7d97a649c274e51c64b0436e2ea46d6e23b149975d0f475db1170ce7e42ea42b87b3e81 SHA512 1fb4569a6014d096edf4bedcfe937f3305a971908adfca995d464a831e5f72538f45d0ef7eb72be84c5daf1d8c8535934e2a8f573d6162c75b4643c7e842ee44
+EBUILD Faker-15.3.2.ebuild 705 BLAKE2B 37b842966529f921966d6c41274fe7fda29057fbb967293a2c6e5c77a7d97a649c274e51c64b0436e2ea46d6e23b149975d0f475db1170ce7e42ea42b87b3e81 SHA512 1fb4569a6014d096edf4bedcfe937f3305a971908adfca995d464a831e5f72538f45d0ef7eb72be84c5daf1d8c8535934e2a8f573d6162c75b4643c7e842ee44
MISC metadata.xml 474 BLAKE2B 337c8b17b4ca092edc2e59bd61dd847e4b9f2bd7e0651d07dad5b3e3eb4f311de9e27e6cad1f6a4835f618446cfa4cdb95e578a8af11498cf7bed1ec697990ce SHA512 35f4a2a50ad5589ba50e619670d1f1eac423fec920bb9c07b3f8bd7d7f2a0bb4e88dde286b062339b30ba304bd1a834bf3318c0b0ad0552ce9eb45fa72e5f44e
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 3bcf9275c41b..8afd86bc5a28 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index a909fc6e3648..a816f9a72208 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,11 +4,13 @@ DIST boto3-1.26.4.gh.tar.gz 553689 BLAKE2B 0da69cfa0b05ab789fc59938562efb49c3c0a
DIST boto3-1.26.5.gh.tar.gz 555039 BLAKE2B 0f1ca94e7a2c04a760d3452e1e51f883307f82ce9a6cde733a69b0c113d002fd3e757ca7e185b412506af9290c2d70ec78a6987a1b2f7552af95f7eaddd5980e SHA512 862ca971589a5ebe2508a9545eb5de29d3ba0f8d431b334c55770be26d1f03c2b9d250dc5b865faa72d0aaaef3f0fff01274b6c64c7506891d708da9238b7896
DIST boto3-1.26.7.gh.tar.gz 556096 BLAKE2B 3c3b68970b707639dc0d61d04c0d05b01535a01cd8e164d202e726d9225b3a17559e0589fa40601f1a37443986ed370dc40fc4d198d0ce8da1b9ea2eb1582955 SHA512 9a6faa7942ff87827ab47885bc11d2b7f508434b879dfd1ec456ad39f0df4d9a9b0029c9eddda00dae8aad3b2bd13730d42fc2bf2e06de370d60fd28cd0d4ac7
DIST boto3-1.26.8.gh.tar.gz 557012 BLAKE2B 211bb7441acc8b1f901ebf5251288dc7c9073fa6e34f5a34426424ef064efb0fb3031deaf48ef336ec43bb015f95f618598da43d12ec83cbf814e1b4097b28a0 SHA512 738190cedfb0b85d3a1e9558b03e7f2fb14e43b152bc9627fd95c8ecc4a0ddc17f4c87ccb6129c1fbf5f47db9eea4dbc5c2cfbb69b903bc6f3ff417ef86b6f6b
+DIST boto3-1.26.9.gh.tar.gz 557775 BLAKE2B b3dc7c10734e54b601ce12c1dae32004bf1b2e7d18adf51e3d891e435912fa12d7c354f8e90d1fee4f924bf238291a34d3c10b3c435896dde91641784e69016d SHA512 b81cd6c379a47ed5ab675c8daaed9d72c689c34dd53754c056b524aa390c09abb58b8caa87499333a2e68620c365648530428b37bc373686e835eef93a184a8e
EBUILD boto3-1.24.96.ebuild 1579 BLAKE2B 394d8a1bb7a1036ab4821bc789c9eea285f8a6a7c21e751d60c94a53d5fdd37119eab54bfd19bfe0856b7557df04340f50c7cebbe631234e8f582e7d62af13ec SHA512 beee3b634e3b1d66365beb2e97b9d09188fa795e00d9d05f2101de423128741ee1f8ad8ae4b0c35f1e6c6473ce73cc3acf47d9141029b4435d39a9803a5fe1b2
-EBUILD boto3-1.25.5.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
+EBUILD boto3-1.25.5.ebuild 1579 BLAKE2B 394d8a1bb7a1036ab4821bc789c9eea285f8a6a7c21e751d60c94a53d5fdd37119eab54bfd19bfe0856b7557df04340f50c7cebbe631234e8f582e7d62af13ec SHA512 beee3b634e3b1d66365beb2e97b9d09188fa795e00d9d05f2101de423128741ee1f8ad8ae4b0c35f1e6c6473ce73cc3acf47d9141029b4435d39a9803a5fe1b2
EBUILD boto3-1.26.4.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.26.5.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.26.7.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.26.8.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
+EBUILD boto3-1.26.9.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-9999.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.25.5.ebuild b/dev-python/boto3/boto3-1.25.5.ebuild
index 6edcc751d54b..c93eb5e2d7c0 100644
--- a/dev-python/boto3/boto3-1.25.5.ebuild
+++ b/dev-python/boto3/boto3-1.25.5.ebuild
@@ -25,7 +25,7 @@ else
https://github.com/boto/boto3/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz
"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+ KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
# botocore is x.(y+3).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
diff --git a/dev-python/boto3/boto3-1.26.9.ebuild b/dev-python/boto3/boto3-1.26.9.ebuild
new file mode 100644
index 000000000000..6edcc751d54b
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.9.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 4d664bbb6383..0792f78e14bc 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,11 +4,13 @@ DIST botocore-1.29.4.gh.tar.gz 10587870 BLAKE2B e8007cc2e6aa82bd3223f13c5df0e94d
DIST botocore-1.29.5.gh.tar.gz 10609519 BLAKE2B 814b9409d59e799f47ae536a35fc3677f7eb78f7d4233f846fa66e4bf68b3724dd2bf3ecec777ddc80baf6e7c8201a7649218553db9ad87d1350a2c53a89771d SHA512 6d3d337d9b8f6b3042856df33b016db943059e57a34b3124ea5aca4fb3b6551d476e9cf08e8b6d36caac6db46703b6785fc03f505aa860f029d45f06f254706e
DIST botocore-1.29.7.gh.tar.gz 10629818 BLAKE2B 9c74df449411d444d87f43a612741e0a9378214e1382d94e07e557c258808ae2de9d1216e743075b0b63611c1b855ac5c6102733db2320c83213e0b1cbe2888a SHA512 cb7b8ad2661dae376d300ec3d757ec3e9b6702a5064d0aab63af5d81eccb2530a12875568fa9a29d0a83bb7babe165c1d18f10cadeeaf9d57cca9cfceaf2761f
DIST botocore-1.29.8.gh.tar.gz 10636661 BLAKE2B 3ebd9e5cb6cc1a9d4ddb877e806e0a845e6a19a4604b4489dbdb9a0f35251201de5d7062f3b0193db3e28f5170d8c3315fdc0b2bec7668a61880ff3e9305d3bc SHA512 c4a1a3993576bd0340de4eeb25e10650219e9d74c21f7e51e5298120bc92a8359143c38d5a991b940316fc5eac483e4e838298881a5c068fa91dc3ebf92a7f5a
+DIST botocore-1.29.9.gh.tar.gz 10641782 BLAKE2B fda689ddf8b62c91d6ea6411fa1897e918663219246ac85f104ae1df87e93b63abb724f9e692fbeaff5b23189531021a2705dc867759b4219f9b360b91a1d5d4 SHA512 4c67118817847ab94b32635355ea90dce24ec8c19e1abebe0e5ba3c8f04e1190d107e3e3a3b9bb0f35de8831617fdd4b34af9212a36bffe81f4bedce5adfc010
EBUILD botocore-1.27.96.ebuild 1801 BLAKE2B 224b9b1ebd6786f36115c25699b06ef4ace30f13c8c97fbac20f37ec3dec7219e89fae3fdc70ef2b808342e7dab564755b758952cd565f06ef68b1e387c1ee7e SHA512 f26fd77fbbc424dc20e7844807bb7650e73e989e15fa5c20c9733e3bc322f4a2fffda47fcd29f82490be7262648582b162f86b4951c8d338d9ebbb1312df8294
-EBUILD botocore-1.28.5.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
+EBUILD botocore-1.28.5.ebuild 1801 BLAKE2B 224b9b1ebd6786f36115c25699b06ef4ace30f13c8c97fbac20f37ec3dec7219e89fae3fdc70ef2b808342e7dab564755b758952cd565f06ef68b1e387c1ee7e SHA512 f26fd77fbbc424dc20e7844807bb7650e73e989e15fa5c20c9733e3bc322f4a2fffda47fcd29f82490be7262648582b162f86b4951c8d338d9ebbb1312df8294
EBUILD botocore-1.29.4.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
EBUILD botocore-1.29.5.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
EBUILD botocore-1.29.7.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
EBUILD botocore-1.29.8.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
+EBUILD botocore-1.29.9.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
EBUILD botocore-9999.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.28.5.ebuild b/dev-python/botocore/botocore-1.28.5.ebuild
index d1a6948e70e5..fb557be6c315 100644
--- a/dev-python/botocore/botocore-1.28.5.ebuild
+++ b/dev-python/botocore/botocore-1.28.5.ebuild
@@ -24,7 +24,7 @@ else
https://github.com/boto/botocore/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz
"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+ KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
fi
RDEPEND="
diff --git a/dev-python/botocore/botocore-1.29.9.ebuild b/dev-python/botocore/botocore-1.29.9.ebuild
new file mode 100644
index 000000000000..d1a6948e70e5
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.9.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 39f44b88fb2d..9846457612e0 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -5,6 +5,7 @@ DIST cfn-lint-0.69.1.gh.tar.gz 9871037 BLAKE2B a6c4d1b3b892eee01231771dfbe783173
DIST cfn-lint-0.70.0.gh.tar.gz 9891445 BLAKE2B 6cdacffb2c3649203046339d088d3e41a4280197a5b23ef5b7cb837d93de62760dbe78a2b92800f11606f3e723f6c9c93d7d08e1379541a1bbbdfc302ae76633 SHA512 456acc59b30b4e4546d07426a7218b7ef2716412c82b12a9f419550d4916121fd0874dfca1725436305309165bb05875c27410a5bdf82ba462157022dc3feed1
DIST cfn-lint-0.70.1.gh.tar.gz 9891593 BLAKE2B 2ee4ba8d688c3888e11e1df52ab26f554f7d13a2f46bc56b5f0d3de7912e8cd99432e7dc174f0072966fd6a586718abe5e9ab11797c5a24480ee508f8819a7df SHA512 c2566ffadf5935b8dfd38eb690f406466aef4d1e0793691547479673bc2519acd8bd5b42ecfb666736c81e9cf3254601542b0a7d4b5257ca626e6e3b194c64da
DIST cfn-lint-0.71.0.gh.tar.gz 2970400 BLAKE2B f57f8605a05004dfe6207a313126c74d163f4e461b4065d8ba439534b38cf9beb4d7fc11ed7736ae3c635ba3f7ab3d658f5d8278d4859bf24c987545d9105e97 SHA512 814e9029e221fc5a6fb9d5c687760549fe6a239ca3c9f0248a4bd307429da46ba394af49a7af1d3f52f4fdbc88ded86aa5cc42e3e46608bacb909d23e334c053
+DIST cfn-lint-0.71.1.gh.tar.gz 2984397 BLAKE2B faa2164ee0f469f8e9118b82d5c86dee05e5404feb5ae28abd9e4218122677dba09308d5a573c4eaabb8f321932b8de621a39bc20f1c86724dc24fedac7e7a93 SHA512 dee916eaa43eabcc4cf2db7fb08db8875f68292a56aa97d29d0d291da51a828a78b681162b71759ec0dc3d246570dbce8fe33a41ce61c22e6fbf2a4ff15f49ff
EBUILD cfn-lint-0.67.0.ebuild 1638 BLAKE2B a439d73d2d83ca8489c2bcbf2c1034f650ad4216d6600e2163c60976ef0133fba36316e9cb263dbb7c3d12d756d8cad188c762732952d0392371a8e74bb58743 SHA512 1426c30e2dc1d63b765a109ee707fa8d466046789694cc1d3afa111c3263b3da11560c72ec6fdd180f213bd5619d9bc5f9b23bd0e9d230eef66d24b647fd2acf
EBUILD cfn-lint-0.68.1.ebuild 1640 BLAKE2B ec6a9bdbdbb86461f0f2acb66fd1734ea65367182fef0d7b0baf080350972f8c701fa18d7b52bc4b243f5565c5b1ef0f98232bc8e9fcab71d19ffef9d413f016 SHA512 2bf2da99cc45b67e70c61127f855007d89bf82af5e39af3d48099da70794b83e1b2e959c1d89cf832fef080beee3d80a8f758cdb0a2b30a8f41c55d323cd97b7
EBUILD cfn-lint-0.69.0.ebuild 1640 BLAKE2B ec6a9bdbdbb86461f0f2acb66fd1734ea65367182fef0d7b0baf080350972f8c701fa18d7b52bc4b243f5565c5b1ef0f98232bc8e9fcab71d19ffef9d413f016 SHA512 2bf2da99cc45b67e70c61127f855007d89bf82af5e39af3d48099da70794b83e1b2e959c1d89cf832fef080beee3d80a8f758cdb0a2b30a8f41c55d323cd97b7
@@ -12,4 +13,5 @@ EBUILD cfn-lint-0.69.1.ebuild 1640 BLAKE2B ec6a9bdbdbb86461f0f2acb66fd1734ea6536
EBUILD cfn-lint-0.70.0.ebuild 1640 BLAKE2B ec6a9bdbdbb86461f0f2acb66fd1734ea65367182fef0d7b0baf080350972f8c701fa18d7b52bc4b243f5565c5b1ef0f98232bc8e9fcab71d19ffef9d413f016 SHA512 2bf2da99cc45b67e70c61127f855007d89bf82af5e39af3d48099da70794b83e1b2e959c1d89cf832fef080beee3d80a8f758cdb0a2b30a8f41c55d323cd97b7
EBUILD cfn-lint-0.70.1.ebuild 1640 BLAKE2B ec6a9bdbdbb86461f0f2acb66fd1734ea65367182fef0d7b0baf080350972f8c701fa18d7b52bc4b243f5565c5b1ef0f98232bc8e9fcab71d19ffef9d413f016 SHA512 2bf2da99cc45b67e70c61127f855007d89bf82af5e39af3d48099da70794b83e1b2e959c1d89cf832fef080beee3d80a8f758cdb0a2b30a8f41c55d323cd97b7
EBUILD cfn-lint-0.71.0.ebuild 1640 BLAKE2B ec6a9bdbdbb86461f0f2acb66fd1734ea65367182fef0d7b0baf080350972f8c701fa18d7b52bc4b243f5565c5b1ef0f98232bc8e9fcab71d19ffef9d413f016 SHA512 2bf2da99cc45b67e70c61127f855007d89bf82af5e39af3d48099da70794b83e1b2e959c1d89cf832fef080beee3d80a8f758cdb0a2b30a8f41c55d323cd97b7
+EBUILD cfn-lint-0.71.1.ebuild 1640 BLAKE2B ae06a57b64652dff129a2532863f0ac274cd1f97cc65d78a0cdeea6aab3b134fe2e8965eee02f2f220cd8893091539b02d519958b3c28fed305cf727371456aa SHA512 3a98281593316fa61399e97469a52bc3da0ec74211098b39c82a07f0d3c5df2ddcf7b8ecadb10b8bfb37d632e1221209bf9aaea44bb36a204f96148b6b111ae9
MISC metadata.xml 583 BLAKE2B 9f73e2b92e5cfa2ad59f5c8e5d91bdd3aa9eba3fa722b93b388cffea42020db7e7441bab5749432812934a4514d3e9104e6d897e1d115afa5ed237757bd48c03 SHA512 1866a349855ae4e248498b7aabd6ce4c4e10ea58731df4bfa13500f61dc041da6dbd7420e7d6a78fad46d5cf00bd7ef2d0c4c7d6819a21b3a5031b0d49588a19
diff --git a/dev-python/cfn-lint/cfn-lint-0.71.1.ebuild b/dev-python/cfn-lint/cfn-lint-0.71.1.ebuild
new file mode 100644
index 000000000000..335ae90faf41
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.71.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+SRC_URI="
+ https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.54.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_2
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/exceptiongroup/Manifest b/dev-python/exceptiongroup/Manifest
index f50140efc0d1..bbcab71c8b98 100644
--- a/dev-python/exceptiongroup/Manifest
+++ b/dev-python/exceptiongroup/Manifest
@@ -1,7 +1,9 @@
DIST exceptiongroup-1.0.0.gh.tar.gz 19766 BLAKE2B 2c4aa2c7c096b91971872b2236fad211a1bd7cb8ae921f5a0255b5a534eefdb5033bbca4c562ff7045acf30e13371a38d52851749cd5bca4df6adfe359a43012 SHA512 e2e05066c0c7664bb36696737c0c33abd811637c5f0ae7e70a20525283d4db4667fa814b15cb6b21165416ae1a0c47f22250a2ed9be4be99b6237e0c1b45fdd4
DIST exceptiongroup-1.0.1.gh.tar.gz 20267 BLAKE2B 1438e88a51034acd8b032339097640862da323dc46aaab4f64e53a3e8c3ce8a7bbda16cc72eff9c4f3ac44d8c239b9e51d3561781bbd0ed88fe9e1db78e95c2b SHA512 79a678b6d3d152334ff593d15047e4b4c8714d50bd667ff2c878617512fe78b0c1d9df113db221d9ac7ea1e4522427747d85e26ae2d46b16f15538e1a638cc38
DIST exceptiongroup-1.0.2.gh.tar.gz 20586 BLAKE2B 09b1b7bee8f1e379c8ef48d9c8202efd7bc530029c5e2a7b91f0204e99429fade8cfa7427e2a88b52747b3308c0a03b193397b3c35c50ea7a9741c15d6f591f6 SHA512 c93a9b85649d662ae63d8396d262eaaff90b068e60f85e747d2538380a262afd54b16bfb0bae49c3909a39950574b9d777120c86e91344259700224480782759
+DIST exceptiongroup-1.0.3.gh.tar.gz 22285 BLAKE2B 4b4d0e46098daf3dd508996d6e566addae53f9ee5da4bccd92cb7c3eefc44c0d815ea94271be1dec8dbf8631b9264c36cd79d063cce3e5c6a326caca778cd53e SHA512 a47242afd9b92c37fd537e253dc0b3c9e6a04e255e9607ff49fc968da24776920dcc36fbda3d2074c44b5cbf7d310f3d7de3d74d396348fc25f22ed3342723c0
EBUILD exceptiongroup-1.0.0.ebuild 762 BLAKE2B d9157df63bd73187f1abe6b2b9bc81d1920177ddcc039d06cd8f42e5a3904b9fedb695f047aafe2468b0dce6448d6db3ffb1d7856bd149f1136782a3b0333c5f SHA512 fb93d9f4e6fdbc4f7363b53777d005378d5f9cf088acb72b7cd532aaf38420c1892d4a228c9a8575f1e389c52dabdef40a3d22a382bfd738ce9b0fbc6558b20f
EBUILD exceptiongroup-1.0.1.ebuild 770 BLAKE2B b0bd0b8fb1edb61e570eac329219319ead6fb6273aaab2e828446f56d6534a8753fefdbd059ffab172a746d1f60ceaf7fbc281ea466af11d37f9bda8da38e598 SHA512 ddbf7e5089ad4d90183f949b1bf9122a4f86189dd98a3e53fc0d515bf1f261e7c64c71a6ef94b11a833ea63b228b3725e4f38050ce44be26f1363a0fd8023554
EBUILD exceptiongroup-1.0.2.ebuild 770 BLAKE2B b0bd0b8fb1edb61e570eac329219319ead6fb6273aaab2e828446f56d6534a8753fefdbd059ffab172a746d1f60ceaf7fbc281ea466af11d37f9bda8da38e598 SHA512 ddbf7e5089ad4d90183f949b1bf9122a4f86189dd98a3e53fc0d515bf1f261e7c64c71a6ef94b11a833ea63b228b3725e4f38050ce44be26f1363a0fd8023554
+EBUILD exceptiongroup-1.0.3.ebuild 770 BLAKE2B b0bd0b8fb1edb61e570eac329219319ead6fb6273aaab2e828446f56d6534a8753fefdbd059ffab172a746d1f60ceaf7fbc281ea466af11d37f9bda8da38e598 SHA512 ddbf7e5089ad4d90183f949b1bf9122a4f86189dd98a3e53fc0d515bf1f261e7c64c71a6ef94b11a833ea63b228b3725e4f38050ce44be26f1363a0fd8023554
MISC metadata.xml 384 BLAKE2B 248abcb5fc08c91396cdbff52e5c3e4f6cce2aa273cfd52b48ee13de9ccdaecd09e9a436ed79f258d15d8d4583fe5995e054010c909a522f47e6866e55b3458f SHA512 c631c69438059cb2a6c80e595e45fac904d32dfb53f8be183142f1195d3a3b9bc14bc240f0808e14f47d31beb1887ad82ee79c5f1847c8e6b59dbfeea7913c8b
diff --git a/dev-python/exceptiongroup/exceptiongroup-1.0.3.ebuild b/dev-python/exceptiongroup/exceptiongroup-1.0.3.ebuild
new file mode 100644
index 000000000000..b848cb3eea31
--- /dev/null
+++ b/dev-python/exceptiongroup/exceptiongroup-1.0.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit_scm
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="Backport of PEP 654 (exception groups)"
+HOMEPAGE="
+ https://github.com/agronholm/exceptiongroup/
+ https://pypi.org/project/exceptiongroup/
+"
+SRC_URI="
+ https://github.com/agronholm/exceptiongroup/archive/${PV/_}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT PSF-2.4"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV/_}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index ff79616bc438..60c491cffb5d 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,7 +1,9 @@
DIST hypothesis-6.56.2.gh.tar.gz 9333277 BLAKE2B 6c75b48cd6e7300c05bd020003340aa8c868ba2d25402c7599b0e4e6f8774df38e3b3c3a4b589cf08f44fb43b04cfdbc2a3e69f894c3ccaffef705896c6c0a98 SHA512 10d4cdd343b63bc17b3e813309911fa70dfee24fac5d355e6ed907740103177da9be461d4d25e27d5190867664c64f28a7827d6ffd15fa4519ea38fbcdf629e8
DIST hypothesis-6.56.3.gh.tar.gz 9333288 BLAKE2B 9608542d8dbe97fec147eae1f9b2f06af2b08e3cc0807fefcfa97b0a8c1aa30a15df9f1114a13f5c719701a4d13ab09a808d0d09e271d9e0d69168ebc4183af4 SHA512 f410455e77c6e9dc3b9003ef3d4c21bd204d85bc567dfd0d420986dc255d8c1ff9f41d809d837286f02064f546a08eff0f89389906ab7023581cc1f5a5d18947
DIST hypothesis-6.56.4.gh.tar.gz 9333399 BLAKE2B abe041212cff7ab1d6c2684706ae4d297bad160798152ce52dec9b5024a1aef2445947bb6e7c7fa69c1b3e9cd2e9335d7ac7f330e0910b987d3aa3f34f8c2f3e SHA512 80ce1d5c296fc304b4e1a09846db5e88d2f52a1d790a8717a2a4a506cdd08290392036c02339d3f9d8bf236866dbcd9256e543d0808f32896b172ed840165114
+DIST hypothesis-6.57.1.gh.tar.gz 9334332 BLAKE2B 5516e9ff84f11909eadc7888f2727f13731ef9d3ad91c15666d5ee11d32bafbc9361171b35d31c5231fe50ac9a734eb3a8edd612ed3f47d3bd6f2a851f751a65 SHA512 3cb24416a10cc1a1419844565913f8bdd95063d12e9ea7cbed16e6583e5d7da8a83d34d1fdb4060cf190341d21947a58f5871f44bc45bc0e84316111d530251d
EBUILD hypothesis-6.56.2.ebuild 2132 BLAKE2B 46f1d1c0f69606e55673a002c305f72655f44ac456ea0e8cde03e7cfd12a074d915f00b29280637b150a4faa596dcd28e2527fc6762aa53893f245530c5a7eef SHA512 bb0602862ac4175e49605bb095ca8d9a027a964cda6e0cc51f03910f5186436646e25f25621cbfec777dbbf0e5fbb4f7a5a01ef646fc20bb84f75980daddf1b8
EBUILD hypothesis-6.56.3.ebuild 2140 BLAKE2B b805e367bbbe90dc2037a89f3488677ea9eed9052283c25a2562d3a5af85b73d2e11a2019cf64a4a8c8d7dd180f8636f03519b0681afb61a38a6057bc707d097 SHA512 dfeb6198d076546f2654edc67fd6f0fcfaf1cdc65385ad90e01901c54e06f565a48d23af2ca48d1acfcd91cfbdc2b5072fb211f2fe02237b2bb6935a0682d07c
EBUILD hypothesis-6.56.4.ebuild 2140 BLAKE2B b805e367bbbe90dc2037a89f3488677ea9eed9052283c25a2562d3a5af85b73d2e11a2019cf64a4a8c8d7dd180f8636f03519b0681afb61a38a6057bc707d097 SHA512 dfeb6198d076546f2654edc67fd6f0fcfaf1cdc65385ad90e01901c54e06f565a48d23af2ca48d1acfcd91cfbdc2b5072fb211f2fe02237b2bb6935a0682d07c
+EBUILD hypothesis-6.57.1.ebuild 2140 BLAKE2B b805e367bbbe90dc2037a89f3488677ea9eed9052283c25a2562d3a5af85b73d2e11a2019cf64a4a8c8d7dd180f8636f03519b0681afb61a38a6057bc707d097 SHA512 dfeb6198d076546f2654edc67fd6f0fcfaf1cdc65385ad90e01901c54e06f565a48d23af2ca48d1acfcd91cfbdc2b5072fb211f2fe02237b2bb6935a0682d07c
MISC metadata.xml 756 BLAKE2B 26e40ab96ddcbd5751023e3c0cc9aa86e96d73ba02bca750ad15eb4301beb0318d3d694c54c2c2a2cb50937731af727411e8afb67e1a21e58e0ff611eeea9149 SHA512 cd48d35c5fe41aa9efcfea9eb7b2d78a4646658b5aab7533ca6492d4700032099fd34ca2dc45a6198c27351650c9e901c8b7c4d53ade2b56695d5e26ca371238
diff --git a/dev-python/hypothesis/hypothesis-6.57.1.ebuild b/dev-python/hypothesis/hypothesis-6.57.1.ebuild
new file mode 100644
index 000000000000..bbb3ede19663
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.57.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" python3_11 pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/ini2toml/Manifest b/dev-python/ini2toml/Manifest
index 5b896812f34b..2f1e7c8bfc73 100644
--- a/dev-python/ini2toml/Manifest
+++ b/dev-python/ini2toml/Manifest
@@ -1,3 +1,5 @@
+DIST ini2toml-0.11.1.gh.tar.gz 93986 BLAKE2B ec5cd963626b5391663b782ba8c32996f6d172e034eb1f9476da0336ebd3dc5d2244fe72a039bb121182e85df798da37dfc391a52808e9e8a9e84d3c5e1889a0 SHA512 5229072e5ebaffb1c2efd16f58f72c562fd1ca73d3ce46dccc80672085301f9d35460796f8ac4118ea37f970e45d4e4d4efd3da8e4a88c6a696f1e8b644cf1cd
DIST ini2toml-0.11.gh.tar.gz 93696 BLAKE2B 0fb52b346065421049fd377a62de4189a6d261ad12c00679c97568a0e7b7f8fc7bf1aae2196b8fc70489d547c0ce9be1347336d25769c7fb383f9fec4d4aa205 SHA512 7329fd3ba31567638fffce22f2370c2055503bd4abc3d7dab30b1828eb54204d31036753efddfab52e79703ce7583f6070e1207c95345096c0751c2d429fd6ea
EBUILD ini2toml-0.11-r1.ebuild 1211 BLAKE2B fac15dff7abc67c1929413821ac07b45d7bfe53e5931529b820e03258978daf49218850eb4271904c4ab3c15c150aa443e392dd116eff828bc62fcb76a469362 SHA512 98c46e72e786d2e01b3ccaea2f2fe466810036f61223526c4b2a5b213a521d6cf7e56a1ae394b74dbebaf6156f1ae8f6c5487bdc82778af67d02c8e4f4d6d3d8
+EBUILD ini2toml-0.11.1.ebuild 1219 BLAKE2B 68c5b7edeaf6fd184a10f2b0d92f63468501be7edd78dbdd6ad11b27a11bebaffc4db26a9c24b5972f5b554c4752fd8182c1634dec8c5a391c6e4942799111d6 SHA512 0a932992810d33430f58a28e5bcd60071656fcef067575930f63171f9d9affafc9a0a4348f577fd44863ca13e12fc3b94668110d4049b8f8e44e129f4b7ded67
MISC metadata.xml 374 BLAKE2B d1d096c2db4d1975e07553486be8e1ef66a63338b6a6617f71131565b80f612b9d50ca7c039d0b37b02eec56421231f52833390eb8536de44d4edd7c90d307f2 SHA512 21a272e9c3a7eb3e0950358f8ffb90b961ff0e39073519ed0b36660dfae91b24f8e09e3b89a20dbeadba45d995eea4bb89d484acc04a7251dfb9f33603bef998
diff --git a/dev-python/ini2toml/ini2toml-0.11.1.ebuild b/dev-python/ini2toml/ini2toml-0.11.1.ebuild
new file mode 100644
index 000000000000..e5f2a01f36bb
--- /dev/null
+++ b/dev-python/ini2toml/ini2toml-0.11.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically conversion of .ini/.cfg files to TOML equivalents"
+HOMEPAGE="
+ https://pypi.org/project/ini2toml/
+ https://github.com/abravalheri/ini2toml/
+"
+SRC_URI="
+ https://github.com/abravalheri/ini2toml/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-20.7[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-0.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/configupdater[${PYTHON_USEDEP}]
+ dev-python/pyproject-fmt[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ dev-python/tomlkit[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+EPYTEST_IGNORE=(
+ # validate_pyproject is not packaged
+ tests/test_examples.py
+)
+
+src_prepare() {
+ sed -i -e 's:--cov ini2toml --cov-report term-missing::' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/mypy/Manifest b/dev-python/mypy/Manifest
index add34a3b6af6..81605661cdf1 100644
--- a/dev-python/mypy/Manifest
+++ b/dev-python/mypy/Manifest
@@ -1,3 +1,5 @@
DIST mypy-0.990.gh.tar.gz 2693855 BLAKE2B d4c4408c763e9e540c1680704b427d0bc41068d926742ab7b33d5f27a33156322d56aba0e56e5b1be44d197a1b44c6c5e552c44f44b77a590e01168361d5b97c SHA512 a503c9a18e808d49d404eeae5d8d7c20193bca1f07c198cc880538960904e72226545f1b72fef083599af40124dfb35326b70e69c1e5cf3fea8db3b46c930fee
+DIST mypy-0.991.gh.tar.gz 2694440 BLAKE2B 857c991a17f5a0195d5c7db60e73427695b64d3c3181b26919ed40a2b825ef5e8f30890a4ca7a55b739087af47f025b1d324563f5ef5e2f58c363562ecc49365 SHA512 02663494700d4ab6d08ab2199a7a81ad144ed090774326ea8d418dec37faec6d3b078f1c3120b8b014a676d69d5dc4e9b528b759c2de086a18569016b28b00d5
EBUILD mypy-0.990.ebuild 1763 BLAKE2B c8832146bf0867424c4366b23d373ec45c9866afd5080b407306cb9cef3565a93a279a9464f5f8587c2d16cd7c6029a44041db308f0cc485a37e47d8a538d36d SHA512 aec2779613635c50067ac0ab6e7375bab23df8d902b586ea0850a7b573e3647f161f70ee19d090dbc833a1dc5be13da0adc01981dbf3fea97f6797df3e404179
+EBUILD mypy-0.991.ebuild 1771 BLAKE2B 2c8c1384773ee385e6bd94ffa6057c76f5c893bcd30efceb6882c4eedadd237c28fe0a142a916d2bad0b6f5f7e8fc67b239095d5887e20d232f8f0071f7f99ef SHA512 d7711db7d8db2f8c77b035606ed29e80a926504d4af314c8996ffb494e073a56f6cc91bf7e56e0f98b1cc91864f3aee6eacb6ca00e64d5428e3b6189bb313572
MISC metadata.xml 515 BLAKE2B 75827bbbeb70fd4b9295ab4689068d2d4b686b32d4059acde94fb0d08048e9e56ecaf3eec39dc5567b2753e2552353e273cdf2f4e27d077cc9b03320ee09c64b SHA512 c1c3c7a3651e61e0b63ab4462f0370cce9cbdce33e64c5e7a1fbefe8116d5d3d3b35bc4095d8a5ce28caf69b0644af3f13c9a27b683f2f981e52f8bfe4ac8615
diff --git a/dev-python/mypy/mypy-0.991.ebuild b/dev-python/mypy/mypy-0.991.ebuild
new file mode 100644
index 000000000000..4c893f33c12d
--- /dev/null
+++ b/dev-python/mypy/mypy-0.991.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Optional static typing for Python"
+HOMEPAGE="
+ http://www.mypy-lang.org/
+ https://github.com/python/mypy/
+ https://pypi.org/project/mypy/
+"
+SRC_URI="
+ https://github.com/python/mypy/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# stubgen collides with this package: https://bugs.gentoo.org/585594
+RDEPEND="
+ !dev-util/stubgen
+ >=dev-python/psutil-4[${PYTHON_USEDEP}]
+ >=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]
+ <dev-python/typed-ast-2[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.10[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
+ <dev-python/mypy_extensions-0.5.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+"
+BDEPEND="
+ test? (
+ >=dev-python/attrs-18.0[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-1.18[${PYTHON_USEDEP}]
+ >=dev-python/py-1.5.2[${PYTHON_USEDEP}]
+ >=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-16.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ dev-python/furo
+distutils_enable_tests pytest
+
+# this requires packaging a lot of type stubs
+export MYPY_USE_MYPYC=0
+
+python_test() {
+ # Some mypy/test/testcmdline.py::PythonCmdlineSuite tests
+ # fail with high COLUMNS values
+ local -x COLUMNS=80
+ epytest -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
index d7289da0e8a6..76ee07fac174 100644
--- a/dev-python/nuitka/Manifest
+++ b/dev-python/nuitka/Manifest
@@ -1,3 +1,5 @@
DIST Nuitka-1.1.8.tar.gz 3931273 BLAKE2B 19425e5394f02f4e5dab612e17f80de27569a0d364aaf8597c7bf63f0aa271c3f8cfa987c12b1ae09c5449775b6e4e61aa4d733d0ed81231c4df6ef955dc030e SHA512 f1e594499cd9fcd03873646c41b66a4d89980f408412dcd58db45b3c48238503d03ef25a1b230cfa99960df69f2564b74b02c446e0431dd72634ce277347a551
+DIST Nuitka-1.2.tar.gz 3957227 BLAKE2B e82c8e30ef326254db255785efd2bab1450c2c496bbef1aae35e6f6c42fee09f2454bdff366ecfcf704aa42bbe9cd62ff5a65f26065b85e95083cb0134829dbc SHA512 65c262109f2341aab607601299ec70c88df46218ecc2bb7a7d39ff66b8d4ec43e44a5d30ac936d6572fb141ca6b19e3c0e0c01975dea82d46a2ec190ed13c21b
EBUILD nuitka-1.1.8.ebuild 1214 BLAKE2B b5c547ea636f0c56f83984808e9596f6119416150c47d49fbb77c6ba7c9ffaf8f23781fdf6a18aadabb5e7c77986c1709820583abee20d7ec6d2e53de4655653 SHA512 9c1931c4e40b695eb166bd0160c6a4cb5874873cbd1241bf275d38c823f4cb82fc335b8083b8bac4575294cdd1a7767b31533a437ae4f5364e3bc546da989cca
+EBUILD nuitka-1.2.ebuild 1214 BLAKE2B b5c547ea636f0c56f83984808e9596f6119416150c47d49fbb77c6ba7c9ffaf8f23781fdf6a18aadabb5e7c77986c1709820583abee20d7ec6d2e53de4655653 SHA512 9c1931c4e40b695eb166bd0160c6a4cb5874873cbd1241bf275d38c823f4cb82fc335b8083b8bac4575294cdd1a7767b31533a437ae4f5364e3bc546da989cca
MISC metadata.xml 943 BLAKE2B d7ab883773e7480dcfb4b79932a3874e2274669169a24a54aa622a2a0ac079e0296da4bd196d166cb11fcff785985da0b10d0fae351032914ccf312c9bb9833c SHA512 625d8760b8e849c6e014856f584cb42f50bb5ebb1fa648cb704a5a1baf175e7d2ce9f43f6f724d11c81a68e364b6ac1c38459540b58f2ccd6a675902af5b1cc9
diff --git a/dev-python/nuitka/nuitka-1.2.ebuild b/dev-python/nuitka/nuitka-1.2.ebuild
new file mode 100644
index 000000000000..b55f0385d58a
--- /dev/null
+++ b/dev-python/nuitka/nuitka-1.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1 flag-o-matic optfeature
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+ https://www.nuitka.net/
+ https://github.com/Nuitka/Nuitka/
+ https://pypi.org/project/Nuitka/
+"
+SRC_URI="https://nuitka.net/releases/${P^}.tar.gz"
+S=${WORKDIR}/${P^}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-util/scons[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+DOCS=( Changelog.pdf Developer_Manual.pdf README.pdf )
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "${PN}/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ doman doc/nuitka3.1 doc/nuitka3-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" app-admin/chrpath
+}
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index 4093b4915670..09cea1366f2a 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -1,5 +1,7 @@
DIST sentry-sdk-1.10.1.gh.tar.gz 292186 BLAKE2B 03181c0118294d4221b176b1e4fd38b4b2147a3a1b6eae709153f92717da77e889d17e715ad1795c8d9bdf24ed2ca5718a88b4f3fa25d240ec8e5804d1041a56 SHA512 135dff6db284439812d74b54f301ba0ce25444f71ad0b7d3ff8869399dba97affa40673fd306960bc6665118e0aabd1a3420976effc9a501d51d9f2174d615f4
+DIST sentry-sdk-1.11.0.gh.tar.gz 296421 BLAKE2B 4a7052a47bfa3e8a5b285c0c4845ca04fee1a9bba360920bcff8b1527714f504eb27be6d2d5466eb96759e17fc11824723825f4468b0d86ace040605b9043e18 SHA512 d966ebec2438d537d54da7db152f13691a67946add50357a5084f257ab5a29bb52bcf08a786a7906efac5509f5c075fd19ea0d7a04344fd2ddc216473162d809
DIST sentry-sdk-1.9.10.gh.tar.gz 282661 BLAKE2B dbecfafafebb52f288ff977dc39b7268c0cd7fc78a643139b9baf9345eb216842bad426e860914dad325096306dc515bf48ddfb26f524c95c718787ecadce3e1 SHA512 293f38335692fe6ec215d470b436d2a8ae49ac8471722c555405e920a41d2d591682c956bb01ad43bb3705566353a878f8fabfe74248716e9cf5a2ea2c172649
EBUILD sentry-sdk-1.10.1.ebuild 3198 BLAKE2B 8fed7bcd61a24b231a7669529b4811e835d6235cc7565673d63090d0e1355a464427b735e32362a0ba449a4b9bed3ba83b0fee40b2bcf33cc4b17c4f9453ab15 SHA512 d0a1b5c928db9e5a07c3f306707f8952eabaac727aad8d2e2ca148576513f81670d9d849caec69a9074d55a9ee754fce60e76938c90ad1b6624940de58e78d4a
+EBUILD sentry-sdk-1.11.0.ebuild 3452 BLAKE2B 901d1023793b41a8dafc5a530a08fd05e9ece16f7746924b589d638faa6c91a2671665e8a97b683d583722ae299a051b21c3f8b76427965da0a3159338063da1 SHA512 45af5129e7b79f0d350a63c817b7fffd613a59df95ed5d2f2a28b7e991842325bce957677fa14828e6b67efa1aeb82ea3c3f1832aa76bf578bee97ee5a656abb
EBUILD sentry-sdk-1.9.10.ebuild 3114 BLAKE2B 4cab202dcaa7f81e652d20b2e2f9a80c8c84c209ce51644f9b31581f7d02df6c94a0d361f9d47bbb6a6f9afaa74887653b5e502580747bd5ed86f849b7fc40ad SHA512 57763afb76f925ecf24915f61efe6385f22c47496e2f30e2077ec81f3d24cb1c6e3df04a77e3df6c139605dece27e2f40fca7cb97c58fb38fbb8f477a46921f2
MISC metadata.xml 510 BLAKE2B e00011699ac2cc83f1923e1f6fa813ede7eab8c57f9ce9d9fca04e721b089db1c5f2bdffaa7b9856f56b433abd9189125e07ffd3f329e4fa8d098e28a4f2d7bd SHA512 bafb77a102d94fe050cb526b298fb8cfd56775cb4d07eda280f6356fbec6fbe5df5c9ebd459d9d4457cd027c2e0d7c349e053fa6070b52f0d2989f6ec600b87d
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.11.0.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.11.0.ebuild
new file mode 100644
index 000000000000..37cb0e0c46f6
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.11.0.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="
+ https://sentry.io/
+ https://github.com/getsentry/sentry-python/
+ https://pypi.org/project/sentry-sdk/
+"
+SRC_URI="
+ https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/sentry-python-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/gevent[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # tests require Internet access
+ tests/integrations/httpx/test_httpx.py
+ tests/integrations/requests/test_requests.py
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/flask/test_flask.py
+ tests/integrations/django/test_basic.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # broken by rq-1.10.1 (optional dep)
+ tests/integrations/rq/test_rq.py
+ # fastapi is not packaged
+ tests/integrations/asgi/test_fastapi.py
+ # TODO
+ tests/integrations/bottle
+ # requires python-multipart (TODO: package it)
+ tests/integrations/starlette
+ # TODO
+ tests/integrations/tornado
+ # requires mockupdb
+ tests/integrations/pymongo
+)
+
+EPYTEST_DESELECT=(
+ # hangs
+ 'tests/test_transport.py::test_transport_works'
+ # TODO
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ tests/integrations/asgi/test_asgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/asgi/test_asgi.py::test_websocket
+ tests/integrations/aiohttp/test_aiohttp.py::test_transaction_style
+ tests/integrations/aiohttp/test_aiohttp.py::test_traces_sampler_gets_request_object_in_sampling_context
+ # incompatible version?
+ tests/integrations/falcon/test_falcon.py
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_too_large_event_truncated
+ # test_circular_references: apparently fragile
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ # test for new feature, fails with IndexError
+ tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+ # TODO
+ tests/integrations/wsgi/test_wsgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/wsgi/test_wsgi.py::test_profile_sent_when_profiling_enabled
+ tests/test_profiler.py::test_sample_buffer
+ tests/test_profiler.py::test_thread_scheduler_takes_first_samples
+ tests/test_profiler.py::test_thread_scheduler_takes_more_samples
+ tests/test_profiler.py::test_thread_scheduler_single_background_thread
+)
diff --git a/dev-python/simplejson/Manifest b/dev-python/simplejson/Manifest
index d88e84e1518d..84c283d28d39 100644
--- a/dev-python/simplejson/Manifest
+++ b/dev-python/simplejson/Manifest
@@ -1,3 +1,5 @@
DIST simplejson-3.17.6.tar.gz 83134 BLAKE2B 5aa9275673a0c8feab2a86f1bc85864791a847a7eda77ea6f3e4f8d8677ff88d2277ff659285d183d2d439c58e78b25846badb3a2fddbc959d40eb23273dfa2b SHA512 4a25032fcc78025d82db571716deef8769f036a330560f92e14563687db4a42dbe60866b8afb57baf24104ef94fcbe938cdbddfc169542664957eef2d00d04e3
+DIST simplejson-3.18.0.tar.gz 83533 BLAKE2B 83c6f7f3734507f5a96b51d52dd39b0bd8ff772d51ce1f12ff2ee68f83747f519f418f78247727af7c408da4e7818d1b0d1f7b54b7780e3bc427add1eeaebb06 SHA512 952177fc707e5b1fb6450093876f9a7af1026271cb792bb8dc0418b83906ae32e7f2251b96f531101197d0b3204a97124bff02f7abc4cf700da4edf1320b6b08
EBUILD simplejson-3.17.6.ebuild 673 BLAKE2B 6900d97f50ed7c08a00ecafbe5698284d875c62c33d38d55dfe08dfc1fc817720adc1ae45f213670e12e3a9d0e41f50072b3c9f5dda948f0a7d194d33dbcb472 SHA512 2e817ebbcd60bb421b64efdd302880615c598b227c8caa2eb9057106a5ca04e9abd4ea5c073bcda421402c3529f553bd388fe96ae84c21f1b2fa2165455a1954
+EBUILD simplejson-3.18.0.ebuild 681 BLAKE2B 404388de6ac84f52a17a4d7d450c4f128e86aceda17b764894a260c84e9b1b58012f1659d95852dd75a35ac8ad9d669b05837d962c42ab80297bfe1f8838717e SHA512 73cd38632b70dfcd52e2f78733e58e3a1b63d140a3b8a7d94d5c839d16cab3527aa1225b1b7bd9ab16d46954e70d0200a55a97052d12d822bafa093d9cf8ad76
MISC metadata.xml 375 BLAKE2B 2c3a0f98ee3f6c9ba41edf3e8e4d6536ac518a59234e6c602d46cbfcb8a5c760c71997b3c169dd2c0b3f9c5dcbea1cb36967e4d050933bd5e31d6f609a835e83 SHA512 6ad418641e64295566aa5418b9bead66e7ea84e0ca7aa454bfedf613cde7ed4d1cd17dff962963c3dda62ad9050e6348f9f53da21ba25b53cdeba2d91b8c551d
diff --git a/dev-python/simplejson/simplejson-3.18.0.ebuild b/dev-python/simplejson/simplejson-3.18.0.ebuild
new file mode 100644
index 000000000000..84d4dee1f814
--- /dev/null
+++ b/dev-python/simplejson/simplejson-3.18.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple, fast, extensible JSON encoder/decoder for Python"
+HOMEPAGE="
+ https://github.com/simplejson/simplejson/
+ https://pypi.org/project/simplejson/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( MIT AFL-2.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+DOCS=( README.rst CHANGES.txt )
+
+distutils_enable_tests unittest
diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 70b77f39d7d6..ed56d1e3461e 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -1,5 +1,7 @@
DIST tox-3.26.0.gh.tar.gz 308035 BLAKE2B 745d1aef11c230971a7b6b1df919440c2be1b9b0f726ab314e1a27fe6fa72b568efc8e336058249721028cc18d2c3453e4806079abb8099baa608bf6b1e98ad7 SHA512 8c2635a640bcc221735f59da633b3ae696d97c076280400f6086703c2e00d8dbad943073e0c63618e5e041199dfebd010a16a00b1498ca9ea8e884648ed40ae5
DIST tox-3.27.0.gh.tar.gz 308774 BLAKE2B efb3d40aa3045f984fd2534124de506c166fc8fde46d655c608ffcb7a85637ebda5c8bdef6cf4d414d84433fd361143fb91f98877d8112489c479049ec4f01be SHA512 e42cb0c203afb053c8bd6b29e90384fe6c32ab2ee3fb64fe0323474ca0b7f94d3e035d9d15218da28bc93d852c5f266c04b89d4b38db7d843d1098207f99a9bf
+DIST tox-3.27.1.gh.tar.gz 309006 BLAKE2B fa8aaa9cd5b03e54c166bb6b748290420b91498b26d2d124d9f88a64806b9ac0578c1886845b25aa024907f6a782c45609fa6c7657d9e1f538b59c2d9f0f4e14 SHA512 5f568bc6c53f871aae91928681dd6f2419b876a8e6ca925e65abae845b548ee3d00513741882875bbbacb78bf64935228d98213f940d3da8c3f788b73f177b79
EBUILD tox-3.26.0.ebuild 1916 BLAKE2B ab2496317d588c05936d57132d1c759c9a14f18c10fb50d6188b7bee5bd20de9f06b5d8945a908cbf021f4b7036ba6d23dcf19aad63af9d6cd6bf6baa598ad32 SHA512 b038f9976de8af46ac663faa169a06fad1bd28ef61738679fd70faa5e655c0c85ed3a8e4efddee2dd2aff8cc3fe9f5ec133311d122c6bab15c487a5a074a6c11
EBUILD tox-3.27.0.ebuild 1924 BLAKE2B d2a5ac59691e8ad704bb64840925d192df827d533c2b17bafa31b95da83a235c28109e911f78e294b12924a99114adad5bbe44cbba67fe8d2d584c9839a70d59 SHA512 aa919c8b15403b9992a772bf0296f4cae2bef39c4ded509f732a13869504f7af15cf43f26c9f401e31794c481a5e1dc4e91c18e65c31a4e159d7b9a2cb1c99ea
+EBUILD tox-3.27.1.ebuild 1924 BLAKE2B d2a5ac59691e8ad704bb64840925d192df827d533c2b17bafa31b95da83a235c28109e911f78e294b12924a99114adad5bbe44cbba67fe8d2d584c9839a70d59 SHA512 aa919c8b15403b9992a772bf0296f4cae2bef39c4ded509f732a13869504f7af15cf43f26c9f401e31794c481a5e1dc4e91c18e65c31a4e159d7b9a2cb1c99ea
MISC metadata.xml 382 BLAKE2B 7c0704c5c187ce4a7972fe0372b23c5537a81a8d62fd83436d9558a61761f10764adb5a4d5f6795f0dd1fe905afa604c0be77fe1d48d291847f6ae65dc1b032c SHA512 9d0ced4df9352a81034a50d5766a01534ae8fa889985d99cc9e2a8d0889e31c6c11550677d9a5a74e2aab57c320192ce3a42708a6d23b0419ee34a6054398344
diff --git a/dev-python/tox/tox-3.27.1.ebuild b/dev-python/tox/tox-3.27.1.ebuild
new file mode 100644
index 000000000000..87ba6799d964
--- /dev/null
+++ b/dev-python/tox/tox-3.27.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+ https://tox.readthedocs.io/
+ https://github.com/tox-dev/tox/
+ https://pypi.org/project/tox/
+"
+SRC_URI="
+ https://github.com/tox-dev/tox/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-0.12[${PYTHON_USEDEP}]
+ dev-python/py[${PYTHON_USEDEP}]
+ >=dev-python/six-1.14[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20.1.0[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.0.0[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/flaky-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/freezegun-0.3.11[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # broken without Internet
+ tests/unit/session/test_provision.py::test_provision_non_canonical_dep
+ tests/integration/test_provision_int.py::test_provision_interrupt_child
+
+ # expects python2 to exist
+ tests/unit/interpreters/test_interpreters.py::test_tox_get_python_executable
+ )
+
+ [[ ${EPYTHON} != pypy3 ]] && EPYTEST_DESELECT+=(
+ # capfd doesn't seem to work for some non-obvious reason
+ tests/unit/test_z_cmdline.py::TestSession::test_summary_status
+ tests/unit/session/test_provision.py::test_provision_bad_requires
+
+ # TODO?
+ tests/unit/interpreters/test_interpreters.py::test_find_alias_on_path
+ )
+
+ epytest --no-network
+}